#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <stdio.h>
#include <time.h>
#include <string.h>
#include <unistd.h>
#include <stdlib.h>
#include <sched.h>
#include <errno.h>
#include <dirent.h>
#include <lcms.h>
#include <sys/stat.h>

#include <wand/magick_wand.h>

typedef MagickWand ImageMagick;

int main()
{
    ImageMagick* imImage;
    MagickBooleanType status;

    int i;
    setbuf (stdout, NULL);   // To see immediate output
    printf("Demonstration of memory leak in libmagic.\n");
    printf("Check memory usage during exectution of the program.\n");
    printf("Starting test ...     ");
    int TotalRuns=10000;
    int ProgressEvery=TotalRuns/100;
    for(i=0;i<TotalRuns;i++)
    {
        if (i%ProgressEvery==0)
        {
            printf("\b\b\b\b% 3d%%",i*100/TotalRuns);
        }
        imImage=NewMagickWand ();
        status=MagickReadImage (imImage, "Sample.ppm");
        if (status == MagickFalse)
        {
            printf("Could not read image Sample.ppm\n");
            exit(1);
        }
        DestroyMagickWand (imImage);
   }
   puts("\nTesting done.\n");
   exit(0);
}
